Subject: Re: eshell: sudo results in "Don’t know how to make a buffer-local variable an alias: tramp-use-connection-share"
From: Chris Elrod <[email-masked]>
To: [email-masked]
Date: Mon, 20 Mar 2023 09:51:26 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

To expand on my earlier report, I am using the `eshell-tramp` module.

On Mon, Mar 20, 2023 at 9:48 AM Chris Elrod <[email-masked]> wrote:

> I just rebuilt the latest emacs master, and found that I can no longer use
> sudo in eshell.
> I get the error message:
> Don’t know how to make a buffer-local variable an alias:
> tramp-use-connection-share
>
> This variable was recently introduced:
>
> https://github.com/emacs-mirror/emacs/commit/1c39347d58533280bae74c712ad0016a5c8992aa
>